Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::SinkFilter Class Referenceabstract

`#include <TeeSinkTokenFilter.h>`

Inheritance diagram for Lucene::SinkFilter:

## Public Member Functions

virtual | ~SinkFilter ()
virtual String | getClassName ()
boost::shared_ptr< SinkFilter > | shared_from_this ()
virtual bool | accept (const AttributeSourcePtr &source)=0
| Returns true, if the current state of the passed-in `AttributeSource` shall be stored in the sink.
virtual void | reset ()
| Called by `SinkTokenStream#reset()`. This method does nothing by default and can optionally be overridden.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ ~SinkFilter()

virtual Lucene::SinkFilter::~SinkFilter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::SinkFilter::_getClassName | ( |  | ) |

inline static

## ◆ accept()

virtual bool Lucene::SinkFilter::accept | ( | const AttributeSourcePtr & | source | ) |

pure virtual

Returns true, if the current state of the passed-in `AttributeSource` shall be stored in the sink.

Implemented in Lucene::AcceptAllSinkFilter.

## ◆ getClassName()

virtual String Lucene::SinkFilter::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::AcceptAllSinkFilter.

## ◆ reset()

virtual void Lucene::SinkFilter::reset | ( |  | ) |

virtual

Called by `SinkTokenStream#reset()`. This method does nothing by default and can optionally be overridden.

## ◆ shared_from_this()

boost::shared_ptr< SinkFilter > Lucene::SinkFilter::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- TeeSinkTokenFilter.h

clucene.sourceforge.net